/**** message code file ****/

/* ----------- WARNING! ----------- */
/* This file is included on the     */
/* SOURCE tape for informational    */
/* purposes only and cannot be      */
/* recompiled.                      */
/* -------------------------------- */

#ifndef MSG_DEF
#define MSG_DEF

#define M_SUCCESS           0
#define M_GENERIC           -1
#define M_NAMED_GENERIC     -2
#define M_INTERR            -3
#define M_SYSERR            -4
#define M_USER_ERR          -5
#define M_INVALIDMSG        -6
#define M_NOCMDMATCH        -7
#define M_TRCBCK            -8
#define M_TRCBCK_CONT       -9
#define M_SITE             -10
#define M_TRIAL_DATE       -11
#define M_SITE_TXT         -12
#define M_SWAP_SIZE_BAD    -13
#define M_LINETOOLONG      -14
#define M_LIBRARY_LIMIT_REACHED  -15
#define M_MAX_IDENTS       -16
#define M_TOOLMODE         -17
#define M_GENVER_TRIALEXP  -18
#define M_GENVER_BADFILE   -19
#define M_GENVER_CNTWRT    -20
#define M_GENVER_CNTOPN    -21
#define M_GENVER_BADHOST   -22
#define M_GENVER_ERR       -23
#define M_CANT_CONTINUE    -24
#define M_BAD_EXEC_COMMAND  -25
#define M_COMP_OK          -26
#define M_CANT_GO          -27
#define M_COMPERR          -28
#define M_CODSECFUL        -29
#define M_DATSECFUL        -30
#define M_ILLCHAR          -31
#define M_ILLHOCONST       -32
#define M_BYTTOOBIG        -33
#define M_BADSYNTAX        -34
#define M_NOFRESPC         -35
#define M_MLTLABDEF        -36
#define M_UNDEFLAB         -37
#define M_WRONGEND         -38
#define M_SYMDEF           -39
#define M_PROFIRST         -40
#define M_COMPILE_MAIN_FROM_PROC  -41
#define M_MUST_RUN         -42
#define M_MAIN_INSIDE_PROC  -43
#define M_COMPILER_INP_ERR  -44
#define M_COMPILER_FILES_FULL  -45
#define M_FRAME_FULL       -46
#define M_FRAME_EXCEED     -47
#define M_DATA_EXCEED      -48
#define M_BADARGVAL        -49
#define M_BAD_FRETURN      -50
#define M_BAD_PRETURN      -51
#define M_UPRO_UNDEF       -52
#define M_UPRO_UNLICEN     -53
#define M_UPRO_PARAMNO     -54
#define M_UPRO_MIXED       -55
#define M_UPRO_NOMAINRET   -56
#define M_COMP_TOOMANY     -57
#define M_BAD_LIBRARY_PROG  -58
#define M_PRO_ACTIVE       -59
#define M_SIGINT           -60
#define M_CNTSIGNAL        -61
#define M_BADOPCOD         -62
#define M_TYPCNVERR        -63
#define M_UNKNOWNIN        -64
#define M_WRGNUMARGS       -65
#define M_EXPLICIT_WRGNUMARGS  -66
#define M_BADTYPE          -67
#define M_NOCASEMATCH      -68
#define M_ONLYSIMFOR       -69
#define M_BADSTRTOBYTE     -70
#define M_KEYWORD_BAD      -71
#define M_KEYWORDS_ILLGL   -72
#define M_AMBIG_KWRD       -73
#define M_KWRD_NBAD        -74
#define M_KEYWORD_CONFLICT  -75
#define M_KEYWORDS_LONG    -76
#define M_BREAK_NOLINE     -77
#define M_BREAK_TABLEFULL  -78
#define M_BREAK_NOBKPT     -79
#define M_BREAK_REMOVED    -80
#define M_MATHERROR_DETECTED  -81
#define M_INTERP_STACK     -82
#define M_BAD_CON          -83
#define M_CANT_STOP        -84
#define M_CANT_SKIP        -85
#define M_BAD_SKIP         -86
#define M_BAD_STEP         -87
#define M_CANT_EXEC        -88
#define M_RUNTIME          -89
#define M_NOMORETMP        -90
#define M_TMPNOTALL        -91
#define M_BADTMPVAR        -92
#define M_WRITE_TO_TEMP    -93
#define M_TMPCLEANUP       -94
#define M_CNTGETMEM        -95
#define M_CNTFREMEM        -96
#define M_CANT_EXTEND_COMMON  -97
#define M_ARRDSCBAD        -98
#define M_BADARROFF        -99
#define M_NOSCNALL        -100
#define M_BADARRSUB       -101
#define M_ILLGL_SUBS      -102
#define M_ILLGL_RANGE     -103
#define M_BAD_SUBS_ARRAY  -104
#define M_BAD_ARRAY_SUBS  -105
#define M_REFORM_BAD_SUBS -106
#define M_ISHFT_BADTYPE   -107
#define M_SEVSUBMAX       -108
#define M_BADARRDNUM      -109
#define M_BADARRDIM       -110
#define M_TOOFEWELTS      -111
#define M_BADNOSUBS       -112
#define M_ARRAY_NODIMS    -113
#define M_ARRAY_ONLY1OR2DIM -114
#define M_ARRAY_MUSTBEND  -115
#define M_ARRAY_DIMBADFACT -116
#define M_VECTOR_WRONGLEN -117
#define M_ARRAY_2DDIMMISMATCH -118
#define M_UNDEFVAR        -119
#define M_EXISTVAR        -120
#define M_NOTARRAY        -121
#define M_NOTSCALAR       -122
#define M_NOCOMPLEX       -123
#define M_NOSTRING        -124
#define M_NOEXPR          -125
#define M_NOCONST         -126
#define M_NOFILE          -127
#define M_NOSTRUCT        -128
#define M_NOLIST          -129
#define M_NOASARR         -130
#define M_SIMVARONLY      -131
#define M_REQSTR          -132
#define M_REQLIST         -133
#define M_REQASARR        -134
#define M_NULLSTR         -135
#define M_NOSCALAR        -136
#define M_NOT_COMPLEX     -137
#define M_MAXLIST         -138
#define M_LISTSUBS        -139
#define M_LISTRECURSVAR   -140
#define M_VARCONV         -141
#define M_NOTSYSVAR       -142
#define M_SYSV_BADNAME    -143
#define M_SYSV_CONFDEF    -144
#define M_SYSV_NOWRT      -145
#define M_CONF_STRUCT     -146
#define M_STRUC_CONFD     -147
#define M_STRUC_CONFT     -148
#define M_VAR_BADNAME     -149
#define M_ST_ILL_ID       -150
#define M_ST_ID_USED      -151
#define M_STRUC_MTAG      -152
#define M_STRUC_UNDEF     -153
#define M_NO_STRUC_FILE   -154
#define M_TAG_UNDEF       -155
#define M_STRUC_REQ       -156
#define M_STRUC_TOODEEP   -157
#define M_TAG_ILLGL       -158
#define M_STRUCT_NODEL    -159
#define M_STRUCT_HASREF   -160
#define M_STRUCT_NOSUCH   -161
#define M_DELSTRUCT_BADARG -162
#define M_PORF_NODEL1     -163
#define M_PORF_NODEL2     -164
#define M_PORF_NODEL3     -165
#define M_BAD_FILE_SUBS   -166
#define M_BAD_FILE_SUBSN  -167
#define M_CNTASSOCSTR     -168
#define M_NEGASSOCOFF     -169
#define M_ILLOP           -170
#define M_OPCONMAX        -171
#define M_CATLEVMAX       -172
#define M_CONARGMIS       -173
#define M_ILLGL_STRING_OP -174
#define M_ILLGL_COMPLEX_OP -175
#define M_ILLGL_FLOAT_OP  -176
#define M_MAT_MULT_INCOMPAT -177
#define M_PROGEOF         -178
#define M_OPEN_IN_ERR     -179
#define M_CNTOPNFIL       -180
#define M_OPEN_LIST_ERR   -181
#define M_WRITE_LIST_ERR  -182
#define M_CANT_CLOSE_FILE -183
#define M_FILENAME_EOF    -184
#define M_FILE_BADNAME    -185
#define M_FILE_ALRDYOPN   -186
#define M_FILE_NOTOPEN    -187
#define M_FILE_BADUNIT    -188
#define M_FILE_CNTWRITE   -189
#define M_FILE_CNTREAD    -190
#define M_FILE_RESERVED   -191
#define M_FILE_NOREAD     -192
#define M_FILE_NOWRITE    -193
#define M_FILE_NOLUNLEFT  -194
#define M_FILE_READERR    -195
#define M_FILE_WRITERR    -196
#define M_FILE_EOF        -197
#define M_FILE_NEGPOINT   -198
#define M_FILE_BADPOINT   -199
#define M_FILE_NULLNAME   -200
#define M_CANT_FLUSH_FILE -201
#define M_FILE_FREADERR   -202
#define M_FILE_IOCTLERR   -203
#define M_FILE_CNTUNGET   -204
#define M_FILE_CNTFORMIO  -205
#define M_FILE_CNTGETSTAT -206
#define M_CLOSE_NOT_ALLOWED -207
#define M_FILE_NOTTY      -208
#define M_FILE_CNTDELETE  -209
#define M_FILE_F77FILBAD  -210
#define M_FILE_F77RTOOBIG -211
#define M_FILE_NOPIPE     -212
#define M_FILE_REQFIXREC  -213
#define M_FILE_NOSTRMSHR  -214
#define M_FILE_ATTRCONFLICT -215
#define M_FILE_NORMSMORE  -216
#define M_VMSFILE_SEGFILBAD -217
#define M_VMSFILE_CNTASSOCRMSORG -218
#define M_FILE_CNTCREIDX  -219
#define M_FILE_INVLOP     -220
#define M_FILE_NULLIDXKEY -221
#define M_FILE_NORMSBLKTAPE -222
#define M_FILE_CNTUPDREL  -223
#define M_FILE_BOGUSEOF   -224
#define M_FMT_NOOPAR      -225
#define M_FMT_UNEXEOF     -226
#define M_FMT_EXCOMMA     -227
#define M_FMT_NOSEP       -228
#define M_FMT_NOCOMMA     -229
#define M_FMT_BADTEXT     -230
#define M_FMT_TEXTLEFT    -231
#define M_FMT_RNG         -232
#define M_FMT_NOREPALL    -233
#define M_FMT_EXINT       -234
#define M_FMT_EXDOTINT    -235
#define M_FMT_SHRTHFLD    -236
#define M_FMT_TOOCOMP     -237
#define M_FMT_BUFTOOSM    -238
#define M_FMT_LOOP        -239
#define M_FMT_EOR         -240
#define M_FMT_DATAMIS     -241
#define M_STRING_TOO_LONG -242
#define M_CHILDPROCERR    -243
#define M_CNTGETHNAM      -244
#define M_CNTGETWD        -245
#define M_CHILD_WAITERR   -246
#define M_SOCKET_OPNERR   -247
#define M_FACILITY_UNAVAILABLE -248
#define M_CALL_VMS_ERROR  -249
#define M_DYNAMIC_LINKER  -250
#define M_DYNAMIC_UNLOAD  -251
#define M_LINKNLOAD_VERBOSE -252
#define M_LOADLIST_ERROR  -253
#define M_DIB_WT_GT8BIT   -254
#define M_DIB_ILLCLASS    -255
#define M_DIB_RD_GT8BIT   -256
#define M_DIB_NOBITMAP    -257
#define M_DIB_NOPALETTE   -258
#define M_DIB_ILLNUMCOL   -259
#define M_DIB_2DILLPAL    -260
#define M_DIB_ILLCOMP     -261
#define M_DIB_CNTGETMEM   -262
#define M_DIB_CNTGETSYSPAL -263
#define M_DIB_CNTGETUSRPAL -264
#define M_DIB_BADARRTYPE  -265
#define M_DIB_PALILLSIZE  -266
#define M_EXPLICIT_LOADING -267
#define M_BAD_OPTION      -268
#define M_BAD_FEATURE     -269
#define M_LIB_PATH        -270
#define M_OPTION_DUPLICATE -271
#define M_LM_CANTCONNECT  -272
#define M_LM_FEATQUEUE    -273
#define M_LM_NEVERCHECKOUT -274
#define M_LM_ACTIVELICENSES -275
#define M_LM_NODE_TMP     -276
#define M_LM_INFO         -277
#define M_LM_NBLICENSES   -278
#define M_LM_IN_Q         -279
#define M_SR_BADSAVFIL    -280
#define M_SR_TRUNC        -281
#define M_SR_BADMAGIC     -282
#define M_SR_UNDEF        -283
#define M_SR_MAINONLY     -284
#define M_SR_SAVE         -285
#define M_SR_RESTORE      -286
#define M_SR_RABORT       -287
#define M_SR_ALIAS        -288
#define M_SR_STRABORT     -289
#define M_SR_SYSVCON      -290
#define M_SR_BADVERSION   -291
#define M_SR_MISTAGTYP    -292
#define M_SR_MISTAGNAM    -293
#define M_SR_READINFO     -294
#define M_SR_VMSONLYFILE  -295
#define M_SR_TYPE         -296
#define M_SR_RNOTFOUND    -297
#define M_STRPUT_BADDST   -298
#define M_HISTO_BADBIN    -299
#define M_SMOOTH_BADWIDTH -300
#define M_CONVOL_BADDIM   -301
#define M_SETPLOT_NO_DEV  -302
#define M_CNTWAITNEG      -303
#define M_KBNOTTTY        -304
#define M_EXECUTE_RECURSIVE -305
#define M_EXECUTE_BADFRAME -306
#define M_EXECUTE_BADRET  -307
#define M_MEDIAN_WIDBAD   -308
#define M_ARRAY_MUSTBESQ  -309
#define M_POLY2D_COEFFSIZE -310
#define M_FFT_COFFEE      -311
#define M_POLYFILL_BADXY  -312
#define M_POLYFILL_BADN   -313
#define M_SETKEY_BADKEY   -314
#define M_ARRAY_BADTYPE   -315
#define M_CNTSRF_INCOMPAT -316
#define M_CNTCNGDIR       -317
#define M_BADPLATFORM     -318
#define M_WINDOW_BADNUM   -319
#define M_NOGRAPHICS      -320
#define M_NOROUTINE       -321
#define M_WINDOW_CLOSED   -322
#define M_GRAPHICS_NOINIT -323
#define M_ILLGL_FONT      -324
#define M_HERSH_ERR       -325
#define M_PLOT_TRUNC      -326
#define M_PLOT_INFINITE   -327
#define M_PLOT_PSYMBAD    -328
#define M_BAD_COORDSYS    -329
#define M_PLOTS_BADDIM    -330
#define M_TV_CNTREAD      -331
#define M_POLYSHADE_ERR   -332
#define M_PLOT_NOUSERSYM  -333
#define M_PLOT_XYARRDIM   -334
#define M_PLOT_SAMENUMPNTS -335
#define M_PLOT_NUMPNTS    -336
#define M_SHADE_BADSHADES -337
#define M_CONTOUR_BADORDER -338
#define M_CNTLDFONT       -339
#define M_WINDOW_BAD      -340
#define M_WINDOW_NOPIXMAP -341
#define M_GRAPHICS_NOOP   -342
#define M_WINDOW_BAD_SRC  -343
#define M_NO_DATA_COORDS  -344
#define M_BAD_PERSPECTIVE -345
#define M_BAD_MAP         -346
#define M_NO_WORDS        -347
#define M_COORDS_OUTSIDE  -348
#define M_Z_THRESH        -349
#define M_Z_COORD         -350
#define M_Z_INTERP        -351
#define M_Z_MIP           -352
#define M_WIN32_BAD_WIN   -353
#define M_WIN32_BAD_DIB_FNAME -354
#define M_WIN32_BAD_DIB   -355
#define M_WIN32_BAD_BMP   -356
#define M_WIN32_BAD_PAL   -357
#define M_WIN32_BAD_EMF_FNAME -358
#define M_WIN32_BAD_EMF   -359
#define M_WIN32_BAD_EMF_WIN -360
#define M_WIN32_BAD_EMF_COPY -361
#define M_WIN32_BAD_CLIP  -362
#define M_PS_NOSUCHFONT   -363
#define M_PS_TOOMANYVERT  -364
#define M_PS_BADPROLOG    -365
#define M_TEK_GINBAD      -366
#define M_TEK_NOTTY       -367
#define M_TEK_LONG_STRING -368
#define M_TEK_NO4100      -369
#define M_TEK_NUMCOLORS   -370
#define M_X_CNTOPNDISP    -371
#define M_X_CNTALLOCCOL   -372
#define M_X_MENUTOOBIG    -373
#define M_X_PROTOERR      -374
#define M_X_RSRCERR       -375
#define M_X_DNTSUPVISUAL  -376
#define M_EZ_TYPERR       -377
#define M_EZ_DIMERR       -378
#define M_EZ_MSG          -379
#define M_RT_LIGHTS       -380
#define M_RT_ARRAY        -381
#define M_RT_UNKNOWN      -382
#define M_RT_CORRUPT      -383
#define M_RT_INFO         -384
#define M_RT_MESH         -385
#define M_RT_SPHERE       -386
#define M_RT_CONE         -387
#define M_RT_CYLNDR       -388
#define M_RT_POLYS        -389
#define M_RT_MATRL        -390
#define M_RT_VOLUME       -391
#define M_TRIDAG_DIMMISMATCH -392
#define M_ZROOTS_NOTPOLY  -393
#define M_DT_SAME_SIZE    -394
#define M_DT_ADD_0_DATE   -395
#define M_DT_SUB_0_DATE   -396
#define M_DT_TYPE         -397
#define M_DT_SCALAR       -398
#define M_NO_HOLIDAY      -399
#define M_NO_WKEND        -400
#define M_TO_MANY_WKEND   -401
#define M_DT_BAD_YR       -402
#define M_DT_BAD_DYR      -403
#define M_DT_BAD_MO       -404
#define M_DT_BAD_DY       -405
#define M_DT_BAD_HR       -406
#define M_DT_BAD_MI       -407
#define M_DT_BAD_SE       -408
#define M_DT_ONE_FMT      -409
#define M_DT_TWO_FMT      -410
#define M_DT_NO_FMT       -411
#define M_DT_NUL_DATE     -412
#define M_DT_NUL_TIME     -413
#define M_DT_NO_STRING    -414
#define M_DT_BAD_D_FMT    -415
#define M_DT_BAD_T_FMT    -416
#define M_DT_NO_MNTH      -417
#define M_TT_SYNTAX       -418
#define M_TT_QUOTES       -419
#define M_TT_STAR         -420
#define M_TT_PARENTH      -421
#define M_TT_MISS_OPA     -422
#define M_TT_MISS_OPO     -423
#define M_TT_COMMA        -424
#define M_TT_KWD          -425
#define M_TT_DISTINCT1    -426
#define M_TT_GB_AND_OB    -427
#define M_TT_NOT_TABLE    -428
#define M_TT_TOO_MANY     -429
#define M_TT_NOT_COL      -430
#define M_TT_NOT_VAR      -431
#define M_TT_NOT_VECTOR   -432
#define M_TT_BAD_LENGTH   -433
#define M_TT_BAD_CELL     -434
#define M_TT_AVG          -435
#define M_TT_SUM_DT       -436
#define M_TT_WHERE        -437
#define M_TT_GENERAL      -438
#define M_WIDGET_BADID    -439
#define M_WIDGET_MULVAL   -440
#define M_WIDGET_NOVAL    -441
#define M_WIDGETS_NOTAVAIL -442
#define M_WIDGET_BADOP    -443
#define M_WIDGET_KILLED   -444
#define M_WIDGET_BADPARENT -445
#define M_GENVER_PROB     -446
#define M_GENVER_TELE     -447
#define M_GENVER_ADMIN    -448
#define M_CD_UNK          -449
#define M_CD_PROACTIVE    -450
#define M_CD_BADARG       -451
#define M_ID_UNK          -452
#define M_ID_BADARG       -453
#define M_SQL_GEN         -454
#define M_SQL_TYPE        -455
#define M_SQL_INT         -456
#define M_SQL_NAME        -457
#define M_SQL_RANGE       -458
#define M_SQL_STRING      -459
#define M_SQL_BAD_CELL    -460
#define M_SQL_LICENSE     -461
#define M_SQL_CONNECT     -462
#define M_SQL_DISCONNECT  -463
#define M_WT_NOTINITIALIZED   -464
#define M_WT_ALREADYRUNNING   -465
#define M_WT_RSCNOTAVAILABLE -466
#define M_WT_CONNECTERROR -467
#define M_WT_NUMPARAMSERROR -468
#define M_WT_NUMPARAMSFATAL -469
#define M_WT_RSCNOTFOUND  -470
#define M_WT_CLASSNOTFOUND -471
#define M_WT_RSCVALUEINVALID -472
#define M_WT_ITEMDOESNTEXISTERROR -473
#define M_WT_UTILFUNCTIONERROR -474
#define M_WT_INVALIDWIDGETID -475
#define M_WT_CALLBACKERROR -476
#define M_WT_HANDLERERROR -477
#define M_WT_TIMERERROR   -478
#define M_WT_TABLEERROR   -479
#define M_WT_PREVIEWERROR -480
#define M_WT_INPUTERROR   -481
#define M_WT_WORKPROCERROR -482
#define M_WT_LISTERROR    -483
#define M_WT_CALLBACKREASONWARNING -484
#define M_WT_CONFIRMCLOSEERROR -485
#define M_MATH_STAT_ERR   -486
#define M_IMSL_GENERR     -487
#define M_IMSL_BADERRCODE -488
#define M_IMSL_BADERRNAME -489
#define M_RT_PRO_UNDEF    -490

#define MSG_COUNT 491

#endif /* MSG_DEF */
